
MIDDLEWARE_TARGET_O=
MIDDLEWARE_TARGET_INCLUDE= -I$(SDK_DIR)
VPATH = 

SDK_MIDDLEWARE_DIR=$(SDK_DIR)/MiddleWare

include $(BUILD_DIR)/compile/$(CONFIG_CHIP)/common.inc
#include $(SDK_MIDDLEWARE_DIR)/ChannelManager/Audio/Makefile.mk
#include $(SDK_MIDDLEWARE_DIR)/DisplayPort/Makefile.mk
#include $(SDK_MIDDLEWARE_DIR)/HDCP/Makefile.mk
#include $(SDK_MIDDLEWARE_DIR)/HDMI/Makefile.mk
#include $(SDK_MIDDLEWARE_DIR)/RunTime/Makefile.mk
include $(SDK_MIDDLEWARE_DIR)/ChannelManager/Video/Makefile.mk

INCLUDES = $(MIDDLEWARE_TARGET_INCLUDE)


MIDDLEWARE_LIB=$(BUILD_OUT_IMG_DIR)/libmiddleware.a
release:$(MIDDLEWARE_LIB)

MIDDLEWARE_NO_DIR_O = $(MIDDLEWARE_TARGET_O)
MIDDLEWARE_WITH_DIR_O= $(addprefix $(BUILD_OUT_OBJ_DIR)/,$(MIDDLEWARE_NO_DIR_O))
$(MIDDLEWARE_LIB):$(MIDDLEWARE_NO_DIR_O)
	$(HEADER)$(AR) qc $@ $(MIDDLEWARE_WITH_DIR_O)
	$(HEADER)$(RANLIB) $@

